/*
Util.h Written by Walter O. Krawec
Basic utility functions for ENN usage

Copyright (c) 2012 Walter O. Krawec

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*/

#ifndef MTENN_UTIL_H_
#define MTENN_UTIL_H_

namespace MTENN
{
	class Utilities
	{
	public:
		static float randFloat()
		{
			int r = rand()%10000;
			return (float)r / 10000.0f;
		}
		static float randFloat(float minValue, float maxValue)
		{
			return minValue + (randFloat()*(maxValue-minValue));
		}

		static float IntToFloat(int i)
		{
			float f = *((float*)&i);
			return f;
		}
		static int FloatToInt(float f)
		{
			int i = *((int*)&f);
			return i;
		}
	};
}

#endif